
::backdrop,::after,
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
}
:root{
  --preto-01: #000101;
  --preto-02:#494949;
  --verde-01:#355545;
  --verde-02:#07a761;
  --preto-hover:#121615;
  --white:##fafdfc;
  --light:##f8fcfa;
  -shadown-2xl:#fdfdfd;
  -shadown-xl:#f4f4f4;
}
section{
  display: grid;
  place-items: center;
  padding: 8.4rem 4.6rem;
  max-width: 1200px;
  background-color:var(--white);
  margin: 0 auto;
   h1.heading--title{
    text-align: center;
  }
  header{
    background-color: var(--verde-01);
    padding: 20px 40px;
    width: 100%;
    form {
      display: flex;
      #search{
        padding: 10px 12px;
        outline-color: transparent;
        margin-left: auto;
        transition: .5s outline;
        border-radius: 4px;
        border: 1px solid transparent;
        &:focus-within,
        &:focus{
              outline: 2px solid var(--verde-02);
      }
    }
         }
  }
  .container{
    /* border: 1px solid #000; */
    transition: all .5s;
    max-width: 800px;
    width: 100%;
    margin-top: 20px;
    display: grid;
    grid-template-columns: 3fr 3fr;
    padding: 4rem;
    gap: 40px;
    /* Figure */
    .figure{
      display: flex;
      border-radius: 9px;
      overflow: hidden;
      flex-direction: column;
      width: 100%;
      margin: 0 auto;
      background-color: var(--light);
      box-shadow: 0 4px 8px rgba(0,0,0,0.1);
      .flag{
        height: 310px;
        width: 100%;
        background-color: var(--verde-01);
          overflow: hidden;
        img{
          max-width: 100%;
          height: 100%;
          width: 100%;
          display: block;
          object-fit: cover;
        }
      }
      .content{
        background-color: #f4f4f4;
        padding: 40px  20px;
        ul{
          display: grid;
          gap: 5px;
          p{
            border-bottom: 2px solid var(--preto-01);
            padding: 10px 10px 5px;
            margin-bottom: 10px;
          }
        }
      }
      
    }
        .figure.contrie--1 {
          transform: scale(1.1);
        }
        .figure.contrie--2 {
          transform: scale(.9);
        }
  }
}